<!DOCTYPE html>
<html>
    <head>
        <!--Тренеровка подключения стилей-->   
        <meta charset="utf-8">
        <title>Style</title>
        <style>
        p {
            background-color: blue;
        }
        div {
            background-color: green;
        }
        </style>
    </head>
    <body>
        <div>
        	Все CSS-селекторы имеют свой вес, который определяет как взаимодействуют одинаковые свойства, заданные в разных местах кода одному и тому же элемент.
        </div>
        <div>
        	Иногда это может создавать трудности, когда свойство, объявленное ниже в коде, перекрывается тем, что объявленно выше, потому что селектор первого более специфичен (имеет больший вес).
        </div>
        <p>
        	Для каждого из них подсчитывается количество подходящих элементов в селекторе, и это число помещается в соответствующую позицию. 
        </p>
        <p>
        	Это тоже сработает, но решение так себе: удлиняется цепочка селекторов (что может отразиться на скорости отрисовки страницы) и ухудшается читаемость кода. Так тоже делать не стоит.  
        </p>
        <p>
        	1-й и 2-й способ могут использоваться, если у вас нет доступа к разметке, а в ней нет нужных классов. Если же вы можете редактировать разметку либо классы у элементов таки есть — используйте последний способ, самый правильный.
        </p>
    </body>
</html>